🚧 [Experimental] Get editor chart

Returns the specified Editor chart.

Request

POST

http://<хост_on-premises>/rpc/getEditorChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "chartId": "example",
  "workbookId": "example",
  "revId": "example",
  "includePermissions": true,
  "includeLinks": true,
  "includeFavorite": true,
  "branch": "saved"
}

Name

Description

chartId

Type: string

ID of the Editor chart to return. You can find it in the chart settings in DataLens interface.

Example: example

branch

Type: EntryBranch

Entry branch: saved or published.

Enum: saved, published

includeFavorite

Type: boolean

Include favorite status in the response.

includeLinks

Type: boolean

Include information on configured links in the response.

includePermissions

Type: boolean

Include information on configured permissions in the response.

revId

Type: string

Version ID for the Editor chart.

Example: example

workbookId

Type: string | null

ID of the workbook the Editor chart belongs to. If navigation across folders is enabled and the Editor chart belongs to a folder, the value must be null.

Example: example

EntryBranch

Entry branch: saved or published.

Type: string

Enum: saved, published

Responses

200 OK

Response

Body

application/json
{
  "entry": {
    "version": 1,
    "entryId": "example",
    "key": null,
    "createdAt": "example",
    "createdBy": "example",
    "updatedAt": "example",
    "updatedBy": "example",
    "revId": "example",
    "savedId": "example",
    "publishedId": "example",
    "tenantId": "example",
    "hidden": true,
    "public": true,
    "workbookId": null,
    "scope": "widget",
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    }
  },
  "isFavorite": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

Name

Description

entry

One of 5 types
  • Type: EditorTableNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorGravityChartsNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "d3_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorMarkdownNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "markdown_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorAdvancedChartNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "advanced-chart_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorSelectorNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "control_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example"
      }
    }
    
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

isFavorite

Type: boolean

Indicates if the chart is marked as favorite.

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the chart.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

EditorTableNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorGravityChartsNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorMarkdownNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorAdvancedChartNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorSelectorNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}
Предыдущая
Следующая